## compiz-fusion-plugins-unsupported 0.7.6

=== CMakeLists.txt ===
project (compiz-fusion-plugins-unsupported)

cmake_minimum_required (VERSION 2.4)

set (CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
include (cmake/addons.cmake)
include (cmake/CompizFusion.cmake)

get_version ()

set (CF_INSTALL_TYPE package)

set (CF_MIN_COMPIZ_VERSION ${VERSION})
set (CF_MIN_BCOP_VERSION ${VERSION})

set (CF_PLUGIN_INCLUDE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/include")
set (CF_PLUGIN_PKGCONFIG_DIR "${CMAKE_CURRENT_SOURCE_DIR}")
set (CF_PLUGIN_XML_DIR "${CMAKE_CURRENT_SOURCE_DIR}/metadata")
set (CF_PLUGIN_I18N_DIR "${CMAKE_CURRENT_SOURCE_DIR}/po")

compiz_fusion_add_uninstall ()
cf_add_plugins (src)
cf_install_plugin_data_files (images)
cf_install_plugin_data_files (data)
cf_print_plugin_configure_results (src)

cf_add_package_generation ("Compiz Fusion Plugins Unsupported")

=== src/fakeargb/CMakeLists.txt ===
include (CompizFusion)

compiz_fusion_plugin (fakeargb)

=== src/mswitch/CMakeLists.txt ===
include (CompizFusion)

compiz_fusion_plugin (mswitch)

=== src/tile/CMakeLists.txt ===
include (CompizFusion)

compiz_fusion_plugin (tile)

## compiz-fusion-plugins-unsupported 0.8.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-project (compiz-fusion-plugins-unsupported)
+project (compiz-plugins-unsupported)
 
 cmake_minimum_required (VERSION 2.4)
 
@@ -24,4 +24,4 @@
 cf_install_plugin_data_files (data)
 cf_print_plugin_configure_results (src)
 
-cf_add_package_generation ("Compiz Fusion Plugins Unsupported")
+cf_add_package_generation ("Compiz Plugins Unsupported")

=== src/atlantis/CMakeLists.txt ===
include (CompizFusion)

compiz_fusion_plugin (atlantis PLUGINDEPS cube)

=== src/cubemodel/CMakeLists.txt ===
include (CompizFusion)

compiz_fusion_plugin (cubemodel PLUGINDEPS cube LIBRARIES pthread)

=== src/elements/CMakeLists.txt ===
include (CompizFusion)

compiz_fusion_plugin (elements PLUGINDEPS text)

=== src/snow/CMakeLists.txt ===
include (CompizFusion)

compiz_fusion_plugin (snow)

## compiz-fusion-plugins-unsupported 0.9.2.1+git20110224.4d704607

=== CMakeLists.txt ===
project (compiz-plugins-unsupported)

cmake_minimum_required (VERSION 2.4)

find_package (Compiz REQUIRED)

include (CompizCommon)
include (CompizPackage)

set (COMPIZ_VERSION_MAJOR 0)
set (COMPIZ_VERSION_MINOR 9)
set (COMPIZ_VERSION_MICRO 2)
set (COMPIZ_VERSION_MACRO 1)
set (VERSION ${COMPIZ_VERSION_MAJOR}.${COMPIZ_VERSION_MINOR}.${COMPIZ_VERSION_MICRO}.${COMPIZ_VERSION_MACRO})

set (COMPIZ_PLUGIN_INSTALL_TYPE "package")

set (ALL_LINGUAS af ar bg bn bn_IN bs ca cs cy da de el en_GB en_US es eu et fi fr gl gu he hi hr hu id it ja ka km ko lo lt mk mr nb nl or pa pl pt pt_BR ro ru sk sl sr sv ta tr uk vi xh zh_CN zh_TW zu)
set (GETTEXT_PACKAGE compiz-plugins-unsupported)

compiz_add_plugins_in_folder ("${CMAKE_SOURCE_DIR}")

compiz_print_configure_header ("Compiz Plugins Unsupported")
compiz_print_plugin_stats ("${CMAKE_SOURCE_DIR}")
compiz_print_configure_footer ()

compiz_package_generation ("Compiz Plugins Unsupported")
compiz_add_git_dist ()
compiz_add_uninstall ()

=== atlantis/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin (atlantis PLUGINDEPS opengl composite cube)

=== cubemodel/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin (cubemodel PLUGINDEPS composite opengl cube LIBRARIES pthread)

=== cubemodel/Makefile ===
##
#
# Compiz plugin Makefile
#
# Copyright : (C) 2007 by Dennis Kasprzyk
# E-mail    : onestone@deltatauchi.de
#
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
##

# plugin.info file contents
# 
# PLUGIN = foo
# PKG_DEP = pango
# LDFLAGS_ADD = -lGLU
# CFLAGS_ADD = -I/usr/include/foo
# CHK_HEADERS = compiz-cube.h
#

#load config file

ECHO	  = `which echo`

# default color settings
color := $(shell if [ $$TERM = "dumb" ]; then $(ECHO) "no"; else $(ECHO) "yes"; fi)

ifeq ($(shell if [ -f plugin.info ]; then $(ECHO) -n "found"; fi ),found)
include plugin.info
else
$(error $(shell if [ '$(color)' != 'no' ]; then \
		$(ECHO) -e "\033[1;31m[ERROR]\033[0m \"plugin.info\" file not found"; \
	else \
		$(ECHO) "[ERROR] \"plugin.info\" file not found"; \
	fi;))
endif

ifneq ($(shell if pkg-config --exists compiz; then $(ECHO) -n "found"; fi ),found)
$(error $(shell if [ '$(color)' != 'no' ]; then \
		$(ECHO) -e -n "\033[1;31m[ERROR]\033[0m Compiz not installed"; \
	else \
		$(ECHO) -n "[ERROR] Compiz not installed"; \
	fi))
endif


ifneq ($(shell if [ -n "$(PKG_DEP)" ]; then if pkg-config --exists $(PKG_DEP); then $(ECHO) -n "found"; fi; \
       else $(ECHO) -n "found"; fi ),found)
$(error $(shell if [ '$(color)' != 'no' ]; then \
		$(ECHO) -e -n "\033[1;31m[ERROR]\033[0m "; \
	else \
		$(ECHO) -n "[ERROR] "; \
	fi; \
	pkg-config --print-errors --short-errors --errors-to-stdout $(PKG_DEP); ))
endif


ifeq ($(BUILD_GLOBAL),true)
	PREFIX = $(shell pkg-config --variable=prefix compiz)
	CLIBDIR = $(shell pkg-config --variable=libdir compiz)
	CINCDIR = $(shell pkg-config --variable=includedir compiz)
	PKGDIR = $(CLIBDIR)/pkgconfig
	DESTDIR = $(shell pkg-config --variable=libdir compiz)/compiz
	XMLDIR = $(shell pkg-config --variable=prefix compiz)/share/compiz
	IMAGEDIR = $(shell pkg-config --variable=prefix compiz)/share/compiz
	DATADIR = $(shell pkg-config --variable=prefix compiz)/share/compiz
else
	DESTDIR = $(HOME)/.compiz/plugins
	XMLDIR = $(HOME)/.compiz/metadata
	IMAGEDIR = $(HOME)/.compiz/images
	DATADIR = $(HOME)/.compiz/data
endif

BUILDDIR = build

CC        = gcc
CPP       = g++
LIBTOOL   = libtool
INSTALL   = install

BCOP      = `pkg-config --variable=bin bcop`

CFLAGS    = -g -Wall -Wpointer-arith -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wnested-externs -fno-strict-aliasing `pkg-config --cflags $(PKG_DEP) compiz ` $(CFLAGS_ADD)
LDFLAGS   = `pkg-config --libs $(PKG_DEP) compiz ` $(LDFLAGS_ADD)

DEFINES   = -DIMAGEDIR=\"$(IMAGEDIR)\" -DDATADIR=\"$(DATADIR)\"

POFILEDIR = $(shell if [ -n "$(PODIR)" ]; then $(ECHO) $(PODIR); else $(ECHO) ./po;fi )

COMPIZ_HEADERS = compiz.h compiz-core.h
COMPIZ_INC = $(shell pkg-config --variable=includedir compiz)/compiz/

is-bcop-target  := $(shell if [ -e $(PLUGIN).xml.in ]; then cat $(PLUGIN).xml.in | grep "useBcop=\"true\""; \
		     else if [ -e $(PLUGIN).xml ]; then cat $(PLUGIN).xml | grep "useBcop=\"true\""; fi; fi)

trans-target    := $(shell if [ -e $(PLUGIN).xml.in -o -e $(PLUGIN).xml ]; then $(ECHO) $(BUILDDIR)/$(PLUGIN).xml;fi )

bcop-target     := $(shell if [ -n "$(is-bcop-target)" ]; then $(ECHO) $(BUILDDIR)/$(PLUGIN).xml; fi )
bcop-target-src := $(shell if [ -n "$(is-bcop-target)" ]; then $(ECHO) $(BUILDDIR)/$(PLUGIN)_options.c; fi )
bcop-target-hdr := $(shell if [ -n "$(is-bcop-target)" ]; then $(ECHO) $(BUILDDIR)/$(PLUGIN)_options.h; fi )

gen-schemas     := $(shell if [ \( -e $(PLUGIN).xml.in -o -e $(PLUGIN).xml \) -a -n "`pkg-config --variable=xsltdir compiz-gconf`" ]; then $(ECHO) true; fi )
schema-target   := $(shell if [ -n "$(gen-schemas)" ]; then $(ECHO) $(BUILDDIR)/$(PLUGIN).xml; fi )
schema-output   := $(shell if [ -n "$(gen-schemas)" ]; then $(ECHO) $(BUILDDIR)/compiz-$(PLUGIN).schema; fi )

ifeq ($(BUILD_GLOBAL),true)
    pkg-target         := $(shell if [ -e compiz-$(PLUGIN).pc.in -a -n "$(PREFIX)" -a -d "$(PREFIX)" ]; then $(ECHO) "$(BUILDDIR)/compiz-$(PLUGIN).pc"; fi )
    hdr-install-target := $(shell if [ -e compiz-$(PLUGIN).pc.in -a -n "$(PREFIX)" -a -d "$(PREFIX)" -a -e compiz-$(PLUGIN).h ]; then $(ECHO) "compiz-$(PLUGIN).h"; fi )
endif

# find all the object files

c-objs     := $(patsubst %.c,%.lo,$(shell find -name '*.c' 2> /dev/null | grep -v "$(BUILDDIR)/" | sed -e 's/^.\///'))
c-objs     += $(patsubst %.cpp,%.lo,$(shell find -name '*.cpp' 2> /dev/null | grep -v "$(BUILDDIR)/" | sed -e 's/^.\///'))
c-objs     += $(patsubst %.cxx,%.lo,$(shell find -name '*.cxx' 2> /dev/null | grep -v "$(BUILDDIR)/" | sed -e 's/^.\///'))
c-objs     := $(filter-out $(bcop-target-src:.c=.lo),$(c-objs))

h-files    := $(shell find -name '*.h' 2> /dev/null | grep -v "$(BUILDDIR)/" | sed -e 's/^.\///')
h-files    += $(bcop-target-hdr)
h-files    += $(foreach file,$(COMPIZ_HEADERS) $(CHK_HEADERS),$(shell $(ECHO) -n "$(COMPIZ_INC)$(file)"))

all-c-objs := $(addprefix $(BUILDDIR)/,$(c-objs)) 
all-c-objs += $(bcop-target-src:.c=.lo)

# additional files

data-files  := $(shell find data/  -name '*' -type f 2> /dev/null | sed -e 's/data\///')
image-files := $(shell find images/ -name '*' -type f 2> /dev/null | sed -e 's/images\///')

# system include path parameter, -isystem doesn't work on old gcc's
inc-path-param = $(shell if [ -z "`gcc --version | head -n 1 | grep ' 3'`" ]; then $(ECHO) "-isystem"; else $(ECHO) "-I"; fi)

# Tests
ifeq ($(shell if [ -n "$(is-bcop-target)" -a -z "$(BCOP)" ]; then $(ECHO) -n "error"; fi ),error)
$(error $(shell if [ '$(color)' != 'no' ]; then \
		$(ECHO) -e -n "\033[1;31m[ERROR]\033[0m BCOP not installed but is needed to build plugin"; \
	else \
		$(ECHO) -n "[ERROR] BCOP not installed but is needed to build plugin"; \
	fi))
endif

ifeq ($(shell if [ "x$(BUILD_GLOBAL)" != "xtrue" -a -e compiz-$(PLUGIN).pc.in ]; then $(ECHO) -n "warn"; fi ),warn)
$(warning $(shell if [ '$(color)' != 'no' ]; then \
		$(ECHO) -e -n "\033[1;31m[WARNING]\033[0m This plugin might be needed by other plugins. Install it with \"BUILD_GLOBAL=true sudo make install\" "; \
	else \
		$(ECHO) -n "[WARNING]  This plugin might be needed by other plugins. Install it with \"BUILD_GLOBAL=true sudo make install\""; \
	fi))
endif

#
# Do it.
#

.PHONY: $(BUILDDIR) build-dir trans-target bcop-build pkg-creation schema-creation c-build-objs c-link-plugin

all: $(BUILDDIR) build-dir trans-target bcop-build pkg-creation schema-creation c-build-objs c-link-plugin

trans-build: $(trans-target)

bcop-build:   $(bcop-target-hdr) $(bcop-target-src)

schema-creation: $(schema-output)

c-build-objs: $(all-c-objs)

c-link-plugin: $(BUILDDIR)/lib$(PLUGIN).la

pkg-creation: $(pkg-target)

#
# Create build directory
#

$(BUILDDIR) :
	@mkdir -p $(BUILDDIR)

$(DESTDIR) :
	@mkdir -p $(DESTDIR)

#
# fallback if xml.in doesn't exists
#
$(BUILDDIR)/%.xml: %.xml
	@cp $< $@

#
# Translating
#
$(BUILDDIR)/%.xml: %.xml.in
	@if [ -d $(POFILEDIR) ]; then \
		if [ '$(color)' != 'no' ]; then \
			$(ECHO) -e -n "\033[0;1;5mtranslate \033[0m: \033[0;32m$< \033[0m-> \033[0;31m$@\033[0m"; \
		else \
			$(ECHO) "translate $<  ->  $@"; \
		fi; \
		intltool-merge -x -u $(POFILEDIR) $< $@ > /dev/null; \
		if [ '$(color)' != 'no' ]; then \
			$(ECHO) -e "\r\033[0mtranslate : \033[34m$< -> $@\033[0m"; \
		fi; \
	else \
		if [ '$(color)' != 'no' ]; then \
			$(ECHO) -e -n "\033[0;1;5mconvert   \033[0m: \033[0;32m$< \033[0m-> \033[0;31m$@\033[0m"; \
		else \
			$(ECHO) "convert   $<  ->  $@"; \
		fi; \
		cat $< | sed -e 's;<_;<;g' -e 's;</_;</;g' > $@; \
		if [ '$(color)' != 'no' ]; then \
			$(ECHO) -e "\r\033[0mconvert   : \033[34m$< -> $@\033[0m"; \
		fi; \
	fi

#
# BCOP'ing

$(BUILDDIR)/%_options.h: $(BUILDDIR)/%.xml
	@if [ '$(color)' != 'no' ]; then \
		$(ECHO) -e -n "\033[0;1;5mbcop'ing  \033[0m: \033[0;32m$< \033[0m-> \033[0;31m$@\033[0m"; \
	else \
		$(ECHO) "bcop'ing  $<  ->  $@"; \
	fi
	@$(BCOP) --header=$@ $<
	@if [ '$(color)' != 'no' ]; then \
		$(ECHO) -e "\r\033[0mbcop'ing  : \033[34m$< -> $@\033[0m"; \
	fi

$(BUILDDIR)/%_options.c: $(BUILDDIR)/%.xml
	@if [ '$(color)' != 'no' ]; then \
		$(ECHO) -e -n "\033[0;1;5mbcop'ing  \033[0m: \033[0;32m$< \033[0m-> \033[0;31m$@\033[0m"; \
	else \
		$(ECHO) "bcop'ing  $<  ->  $@"; \
	fi
	@$(BCOP) --source=$@ $< 
	@if [ '$(color)' != 'no' ]; then \
		$(ECHO) -e "\r\033[0mbcop'ing  : \033[34m$< -> $@\033[0m"; \
	fi

#
# Schema generation

$(BUILDDIR)/compiz-%.schema: $(BUILDDIR)/%.xml
	@if [ '$(color)' != 'no' ]; then \
		$(ECHO) -e -n "\033[0;1;5mschema'ing\033[0m: \033[0;32m$< \033[0m-> \033[0;31m$@\033[0m"; \
	else \
		$(ECHO) "schema'ing  $<  ->  $@"; \
	fi
	@xsltproc `pkg-config --variable=xsltdir compiz-gconf`/schemas.xslt $< > $@
	@if [ '$(color)' != 'no' ]; then \
		$(ECHO) -e "\r\033[0mschema    : \033[34m$< -> $@\033[0m"; \
	fi

#
# pkg config file generation

$(BUILDDIR)/compiz-%.pc: compiz-%.pc.in
	@if [ '$(color)' != 'no' ]; then \
		$(ECHO) -e -n "\033[0;1;5mpkgconfig \033[0m: \033[0;32m$< \033[0m-> \033[0;31m$@\033[0m"; \
	else \
		$(ECHO) "pkgconfig   $<  ->  $@"; \
	fi
	@COMPIZREQUIRES=`cat $(PKGDIR)/compiz.pc | grep Requires | sed -e 's;Requires: ;;g'`; \
    COMPIZCFLAGS=`cat $(PKGDIR)/compiz.pc | grep Cflags | sed -e 's;Cflags: ;;g'`; \
    sed -e 's;@prefix@;$(PREFIX);g' -e 's;\@libdir@;$(CLIBDIR);g' \
        -e 's;@includedir@;$(CINCDIR);g' -e 's;\@VERSION@;0.0.1;g' \
        -e "s;@COMPIZ_REQUIRES@;$$COMPIZREQUIRES;g" \
        -e "s;@COMPIZ_CFLAGS@;$$COMPIZCFLAGS;g" $< > $@;
	@if [ '$(color)' != 'no' ]; then \
		$(ECHO) -e "\r\033[0mpkgconfig : \033[34m$< -> $@\033[0m"; \
	fi

#
# Compiling
#

$(BUILDDIR)/%.lo: %.c $(h-files)
	@if [ '$(color)' != 'no' ]; then \
		$(ECHO) -n -e "\033[0;1;5mcompiling \033[0m: \033[0;32m$< \033[0m-> \033[0;31m$@\033[0m"; \
	else \
		$(ECHO) "compiling $< -> $@"; \
	fi
	@$(LIBTOOL) --quiet --mode=compile $(CC) $(CFLAGS) $(DEFINES) -I$(BUILDDIR) -c -o $@ $<
	@if [ '$(color)' != 'no' ]; then \
		$(ECHO) -e "\r\033[0mcompiling : \033[34m$< -> $@\033[0m"; \
	fi

$(BUILDDIR)/%.lo: $(BUILDDIR)/%.c $(h-files)
	@if [ '$(color)' != 'no' ]; then \
		$(ECHO) -n -e "\033[0;1;5mcompiling \033[0m: \033[0;32m$< \033[0m-> \033[0;31m$@\033[0m"; \
	else \
		$(ECHO) "compiling $< -> $@"; \
	fi
	@$(LIBTOOL) --quiet --mode=compile $(CC) $(CFLAGS) $(DEFINES) -I$(BUILDDIR) -c -o $@ $<
	@if [ '$(color)' != 'no' ]; then \
		$(ECHO) -e "\r\033[0mcompiling : \033[34m$< -> $@\033[0m"; \
	fi

$(BUILDDIR)/%.lo: %.cpp $(h-files)
	@if [ '$(color)' != 'no' ]; then \
		$(ECHO) -n -e "\033[0;1;5mcompiling \033[0m: \033[0;32m$< \033[0m-> \033[0;31m$@\033[0m"; \
	else \
		$(ECHO) "compiling $< -> $@"; \
	fi
	@$(LIBTOOL) --quiet --mode=compile $(CPP) $(CFLAGS) $(DEFINES) -I$(BUILDDIR) -c -o $@ $<
	@if [ '$(color)' != 'no' ]; then \
		$(ECHO) -e "\r\033[0mcompiling : \033[34m$< -> $@\033[0m"; \
	fi

$(BUILDDIR)/%.lo: %.cxx $(h-files)
	@if [ '$(color)' != 'no' ]; then \
		$(ECHO) -n -e "\033[0;1;5mcompiling \033[0m: \033[0;32m$< \033[0m-> \033[0;31m$@\033[0m"; \
	else \
		$(ECHO) "compiling $< -> $@"; \
	fi
	@$(LIBTOOL) --quiet --mode=compile $(CPP) $(CFLAGS) $(DEFINES) -I$(BUILDDIR) -c -o $@ $<
	@if [ '$(color)' != 'no' ]; then \
		$(ECHO) -e "\r\033[0mcompiling : \033[34m$< -> $@\033[0m"; \
	fi

#
# Linking
#

cxx-rpath-prefix := -Wl,-rpath,

$(BUILDDIR)/lib$(PLUGIN).la: $(all-c-objs)
	@if [ '$(color)' != 'no' ]; then \
		$(ECHO) -e -n "\033[0;1;5mlinking   \033[0m: \033[0;31m$@\033[0m"; \
	else \
		$(ECHO) "linking   : $@"; \
	fi
	@$(LIBTOOL) --quiet --mode=link $(CC) $(LDFLAGS) -rpath $(DESTDIR) -o $@ $(all-c-objs)
	@if [ '$(color)' != 'no' ]; then \
		$(ECHO) -e "\r\033[0mlinking   : \033[34m$@\033[0m"; \
	fi


clean:

=== elements/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)
include (CompizCommon)
include (CompizPackage)

compiz_plugin (elements PLUGINDEPS composite opengl text)

set (COMPIZ_VERSION_MAJOR 0)
set (COMPIZ_VERSION_MINOR 9)
set (COMPIZ_VERSION_MICRO 0)
set (VERSION ${COMPIZ_VERSION_MAJOR}.${COMPIZ_VERSION_MINOR}.${COMPIZ_VERSION_MICRO})

compiz_add_plugins_in_folder ("${CMAKE_CURRENT_SOURCE_DIR}/plugins")

compiz_print_configure_header ("Compiz Elements Plugins")
compiz_print_plugin_stats ("${CMAKE_CURRENT_SOURCE_DIR}/plugins")
compiz_print_configure_footer ()

compiz_package_generation ("Compiz Elements Plugins")
compiz_add_uninstall ()

=== fakeargb/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin (fakeargb PLUGINDEPS composite opengl)

=== tile/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin (tile PLUGINDEPS composite opengl)

=== elements/plugins/autumn/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin (autumn PLUGINDEPS elements)

=== elements/plugins/bubbles/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin (bubbles PLUGINDEPS elements)

=== elements/plugins/fireflies/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin (fireflies PLUGINDEPS elements)

=== elements/plugins/snow/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin (snow PLUGINDEPS elements)

=== elements/plugins/stars/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin (stars PLUGINDEPS elements)

=== debian/changelog ===
compiz-fusion-plugins-unsupported (0.9.2.1+git20110224.4d704607-1) experimental; urgency=low

  [ Janos Guljas ]
  * New upstream release.
  * Bump standards to 3.9.1.
  * Switch to dpkg format 3.0 (quilt)
  * Rewrite debian/rules to use debhelper 7.
  * Removed debian/install file.
  * Updated debian/watch file.

  [ Sean Finney ]
  * Add common 3.0 format local-options
  * Add Build-Dep on libglibmm-2.4-dev
  * Update copyright information

 -- Sean Finney <seanius@debian.org>  Sat, 05 Mar 2011 11:47:28 +0000

compiz-fusion-plugins-unsupported (0.8.4-4) UNRELEASED; urgency=low

  * Add Homepage field.

 -- Cyril Brulebois <kibi@debian.org>  Wed, 24 Mar 2010 01:52:41 +0100

compiz-fusion-plugins-unsupported (0.8.4-3) unstable; urgency=low

  * Add Vcs-* fields.
  * Tighten dependencies on compiz-core:
     - Add ${compizcore:Depends} to Depends.
     - Use dpkg-query to extract the name of the package provided by
       compiz-core (e.g. compiz-core-abiversion-20090619), and use it in
       dh_gencontrol.

 -- Cyril Brulebois <kibi@debian.org>  Wed, 24 Mar 2010 01:19:26 +0100

compiz-fusion-plugins-unsupported (0.8.4-2) unstable; urgency=low

  * Add extra install rules for new svg files in 0.8.4.
  * Incorporate quilt into the build system.
  * New patch upstream_git_set-include-order.patch backported from
    upstream git to fix FTBFS on systems with an older -unsupported
    package installed.

 -- Sean Finney <seanius@debian.org>  Fri, 12 Feb 2010 16:03:06 +0100

compiz-fusion-plugins-unsupported (0.8.4-1) unstable; urgency=low

  * New upstream release.
  * Update Build-Depends against compiz-dev to >= 0.8.4 for ABI bump.

 -- Sean Finney <seanius@debian.org>  Thu, 11 Feb 2010 22:00:05 +0100

compiz-fusion-plugins-unsupported (0.8.2-1) unstable; urgency=low

  * New upstream release
  * gbp.conf for use with git-buildpackage
  * bump compiz-related build-deps to >= 0.8.2
  * gbp.conf for use with git-buildpackage
  * bump compiz-related build-deps to >= 0.8.2
  * add build-dep on -plugins-main
  * include the compiz-elements.h header file though it may not be
    necessary

 -- Sean Finney <seanius@debian.org>  Tue, 07 Apr 2009 09:52:31 +0200

compiz-fusion-plugins-unsupported (0.7.6-1) unstable; urgency=low

  * New upstream release.

 -- Sean Finney <seanius@debian.org>  Tue, 03 Jun 2008 01:05:15 +0200

compiz-fusion-plugins-unsupported (0.7.4-1) unstable; urgency=low

  * New upstream release. 
  * Update build-deps on bcop and compiz-dev to >= 0.7.3.
  * Re-add po/Makefile.in.in to UPSTREAM_PRESERVE to keep builds clean

 -- Sean Finney <seanius@debian.org>  Mon, 19 May 2008 20:22:08 +0200

compiz-fusion-plugins-unsupported (0.6.0-3) unstable; urgency=low

  [Emilio Scalise]
  * Added missing build dependencies: librsvg2-dev, libcairo2-dev, libsm-dev,
    libglu1-mesa-dev, libdbus-1-dev, libdecoration0-dev, libxml-parser-perl,
    x11proto-core-dev, libxrender-dev.

 -- Sean Finney <seanius@debian.org>  Fri, 21 Dec 2007 21:11:14 +0100

compiz-fusion-plugins-unsupported (0.6.0-2) unstable; urgency=low

  * Remove autofoo generated content and create/remove it as part of the
    standard build process instead.
  * FTBFS fixes:  add Build-Deps on automake1.9, compiz-fusion-bcop,
    libgconf2-dev, libglib2.0-dev, libtool, libxml2-dev, libxslt1-dev

 -- Sean Finney <seanius@debian.org>  Sat, 24 Nov 2007 19:36:27 +0100

compiz-fusion-plugins-unsupported (0.6.0-1) unstable; urgency=low

  * Initial release.

 -- Sean Finney <seanius@debian.org>  Sun, 11 Nov 2007 17:50:50 +0100

=== debian/control ===
Source: compiz-fusion-plugins-unsupported
Priority: extra
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Sean Finney <seanius@debian.org>
Build-Depends: debhelper (>= 7.0.50~), cmake, xsltproc, pkg-config,
 compiz-dev (>= 0.9.0), libdecoration0-dev (>= 0.9.0), compiz-fusion-plugins-main (>= 0.9),
 libgconf2-dev, libglib2.0-dev, 
 libglibmm-2.4-dev,
 libglu1-mesa-dev, libjpeg62-dev, libxml2-dev,
 libxslt1-dev, libcairo2-dev, libpango1.0-dev, librsvg2-dev, libsm-dev,
 libboost1.42-dev, libboost-serialization1.42-dev
Standards-Version: 3.9.1
Section: x11
Vcs-Git: git://git.debian.org/git/pkg-xorg/bling/compiz-fusion-plugins-unsupported.git
Vcs-Browser: http://git.debian.org/?p=pkg-xorg/bling/compiz-fusion-plugins-unsupported.git
Homepage: http://wiki.compiz.org/PluginsUnsupported

Package: compiz-fusion-plugins-unsupported
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${compizcore:Depends}
Breaks: compiz-core (<< 0.9.0)
Description: Compiz Fusion plugins - "unsupported" collection
 Compiz Fusion is the result of the re-unification of the Beryl-project
 and the community around the Compiz Window Manager. It seeks to provide
 an easy and fun-to-use windowing environment, allowing use of the
 graphics hardware to provide impressive effects, amazing speed and
 unrivalled usefulness.
 .
 This package provides an extended collection of plugins, which have received
 the least amount of review and are the most likely to be problematic on your
 system.

=== debian/watch ===
version=3
http://releases.compiz.org/([\d\.]+)[\d]/ compiz-plugins-unsupported-([\d\.]+)\.tar\.gz
